Known issues in the Linux agent Skip Navigation

Known issues in the Linux agent

On a SUSE 11 system (SLES 11), after upgrading from 1570 to 1580, attempts to downgrade back to 1570 were not successful. (CHP-8341)
On a SUSE 11 SP4 64-bit system (SLES 11), upgrading the agent may result in the exception System.TypeInitializationException appearing multiple times in the log file. (CHP-7916)
On Ubuntu 14.04 and 16.04 systems, when upgrading from 1570 or 1580 to 1590, and then downgrading from 1590 to 1570 or 1580 results in the agent continuously trying to downgrade to 1570 or 1580. This results in a continuous rollback and failure messages in the agent logs. (EPP-1475, EPP-1477)
On SUSE SLES 11 SP4, if you upgrade from agent 1570/1574 to agent 1580 and then downgrade back to agent 1570/1574, the downgrade is initially successful, but is eventually upgraded back to agent 1580. (CHP-8293)
On Amazon Linux 2, installing the agent on newer kernels is successful, but a "CyProtectDrv: module verification failed: signature and/or required key missing - tainting kernel" error displays because a signature is missing. The agent still runs properly and the error can be ignored. (CHP-7335)